<div class="container"  >

  <ul class="square-menu">

    <!-- menu 1 -->
    <li [ngClass]="{
      'disabledMenu': !getDesignMenu()
    }">
      <div class="btn-container" >
        <div  (click)="isDesignRoute()" >
            <img mat-card-image class="MenuImg" src="assets/images/kd-ic-sdk-white.png" > <p ><b>Design Experiment</b></p>
        </div>  
      </div>
    </li>

    <!-- menu 2 -->
    <li [ngClass]="{
      'disabledMenu': !getRequestMenu()
    }">
      <div  (click)="isRequestRoute()" >
          <img mat-card-image class="MenuImg" src="assets/images/kd-ic-slicer-white.png" ><p ><b>Request Experiments</b></p>
      </div>  
    </li>

    <!-- menu 3 -->
    <li [ngClass]="{
      'disabledMenu': !getManageMenu()
    }">
      <div  (click)="isManageRoute()" >
        <img mat-card-image class="MenuImg" src="assets/images/kd-ic-Orchestrator-white.png"> <p ><b>Manage VS Instances</b></p>
      </div>  
    </li>

    <!-- menu 4 -->
    <li [ngClass]="{
      'disabledMenu': !getManageSiteMenu()
    }">
      <div (click)="isManageSiteRoute()">
        <img mat-card-image class="MenuImg" src="assets/images/kd-ic-virtual-net-white.png"> <p ><b>Manage Site</b></p>
      </div>
    </li>
   <br style="clear:both;"/>
   </ul>


    <!-- <div class="row-container">
    <div class="side-spacer"></div>

      <div class="btn-container" >
      <button mat-raised-button class="grid-button" (click)="goTo('/design_experiment');" [disabled]="roles.indexOf('ExperimentDeveloper') < 0">
          <img mat-card-image class="img" src="assets/images/kd-ic-sdk-white.png" > <p ><b>Design Experiment</b></p>
      </button>  
    </div>

    <div class="mid-spacer"></div>

    <div class="btn-container" >
      <button mat-raised-button  class="grid-button" (click)="goTo('/request_experiment');" [disabled]="roles.indexOf('Experimenter') < 0">
          <img mat-card-image class="img" src="assets/images/kd-ic-slicer-white.png" ><p ><b>Request Experiments</b></p>
      </button>
    </div>
    <div class="side-spacer"></div>

  </div>


  <div class="row-container">
    <div class="side-spacer"></div>


    <div class="btn-container" >
      <button mat-raised-button class="grid-button" (click)="goTo('/experiments');" [disabled]="roles.indexOf('Experimenter') < 0">
          <img mat-card-image class="img" src="assets/images/kd-ic-Orchestrator-white.png"> <p ><b>Manage Experiment</b></p>
      </button>
    </div>

    <div class="mid-spacer"></div>
    
    <div class="btn-container"  >
      <button mat-raised-button class="grid-button" (click)="goTo('/manage_site')">
        <img mat-card-image class="img" src="assets/images/kd-ic-virtual-net-white.png"> <p ><b>Manage Site</b></p>
      </button>
    </div>

    <div class="side-spacer"></div>

  </div> -->
</div>




<!-- <div class="container"  >
  <div fxLayout="row" fxLayout.xs="column" fxLayout.sm="column" fxLayoutWrap fxLayoutGap="0.5%" fxLayoutAlign="center center" style="margin-top: 2%;">
    <div fxFlex="20%"  >
    <button mat-raised-button class="grid-button" (click)="goTo('/design_experiment');" [disabled]="roles.indexOf('ExperimentDeveloper') < 0">
        <img mat-card-image class="img" src="assets/images/kd-ic-sdk-white.png" > <p style="font-size:20px;"><b>Design Experiment</b></p>
    </button>  
  </div>
  <div fxFlex="20%">
    <button mat-raised-button  class="grid-button" (click)="goTo('/request_experiment');" [disabled]="roles.indexOf('Experimenter') < 0">
        <img mat-card-image class="img" src="assets/images/kd-ic-slicer-white.png" ><p style="font-size:20px;"><b>Request Experiments</b></p>
    </button>
  </div>
</div>
<div fxLayout="row" fxLayout.xs="column" fxLayout.sm="column" fxLayoutWrap fxLayoutGap="0.5%" fxLayoutAlign="center center" style="margin-top:0.5%;">
  <div fxFlex="20%">
    <button mat-raised-button class="grid-button" (click)="goTo('/experiments');" [disabled]="roles.indexOf('Experimenter') < 0">
        <img mat-card-image class="img" src="assets/images/kd-ic-Orchestrator-white.png"> <p style="font-size:20px;"><b>Manage Experiment</b></p>
    </button>
  </div>
  <div fxFlex="20%" >
    <button mat-raised-button class="grid-button" (click)="goTo('/manage_site')">
      <img mat-card-image class="img" src="assets/images/kd-ic-virtual-net-white.png"> <p style="font-size:20px;"><b>Manage Site</b></p>
    </button>
  </div>
</div>
</div> -->